Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ItemFactory Class Reference

Inheritance diagram for ItemFactory:

[legend]
List of all members.

## Public Member Functions
| ItemFactory ($ItemClassName, $ItemTableName, $ItemIdFieldName, $ItemNameFieldName=NULL, $FieldId=NULL, $OrderOpsAllowed=FALSE)
| Status ()
| GetCurrentEditedItemId ()
| SetCurrentEditedItemId ($NewId)
| ClearCurrentEditedItemId ()
| ClearCurrentEditedItem ()
| CleanOutStaleTempItems ()
| GetLastTempItemId ()
| GetNextItemId ()
| GetHighestItemId ($Condition=NULL, $IncludeTempItems=FALSE)
| GetNextTempItemId ()
| GetItemCount ($Condition=NULL, $IncludeTempItems=FALSE)
| GetItemIds ($Condition=NULL, $IncludeTempItems=FALSE)
| GetLatestModificationDate ($Condition=NULL)
| GetItem ($ItemId)
| GetItemByName ($Name, $IgnoreCase=FALSE)
| GetItemNames ()
| SearchForItemNames ($SearchString, $NumberOfResults=100, $IncludeVariants=FALSE, $UseBooleanMode=TRUE)
| AddItems ($ItemNames, $Qualifier=NULL)
| add items with specified names
| SetOrderOpsCondition ($Condition)
| InsertBefore ($SourceItemOrItemId, $TargetItemOrItemId)
| InsertAfter ($SourceItemOrItemId, $TargetItemOrItemId)
| Prepend ($ItemOrItemId)
| Append ($ItemOrItemId)
| GetItemIdsInOrder ($AddStrayItemsToOrder=TRUE)
| RemoveItemFromOrder ($ItemId)
| GetPreviousItemId ($ItemId)
| GetNextItemIdInOrder ($ItemId)
| SetPreviousItemId ($ItemId, $NewValue)
| SetNextItemId ($ItemId, $NewValue)
| SetPreviousAndNextItemIds ($ItemId, $NewPreviousId, $NewNextId)
## Public Attributes
| $ItemClassName
| $ItemTableName
| $ItemIdFieldName
| $ItemNameFieldName
| $DB
| $ErrorStatus
| $FieldId
| $OrderOpsAllowed
| $OrderList

## Detailed Description

Definition at line 30 of file ItemFactory.php.

## Member Function Documentation

ItemFactory::AddItems | ( | $ | ItemNames,
|  | $ | Qualifier = `NULL` |
| ) |  |  |

add items with specified names

Parameters:

  | ItemNames | Array of item names. Leading or trailing whitespace is automatically trimmed off of the names.
  | Qualifier | Qualifier object to associate with items being added.

Returns:
  Number of items added.

Note:
  Only items with new names will be added.

  This method only works for item types where a new item can be created by calling the constructor with NULL, an item name, and a field ID (in that order) as parameters.

Definition at line 467 of file ItemFactory.php.

References GetItemByName().

ItemFactory::Append | ( | $ | ItemOrItemId | ) |

Definition at line 551 of file ItemFactory.php.

ItemFactory::CleanOutStaleTempItems | ( |  | ) |

Definition at line 152 of file ItemFactory.php.

ItemFactory::ClearCurrentEditedItem | ( |  | ) |

Definition at line 136 of file ItemFactory.php.

References ClearCurrentEditedItemId(), and GetCurrentEditedItemId().

ItemFactory::ClearCurrentEditedItemId | ( |  | ) |

Definition at line 111 of file ItemFactory.php.

Referenced by ClearCurrentEditedItem().

Here is the caller graph for this function:

ItemFactory::GetCurrentEditedItemId | ( |  | ) |

Definition at line 67 of file ItemFactory.php.

References GetLastTempItemId().

Referenced by ClearCurrentEditedItem().

Here is the caller graph for this function:

ItemFactory::GetHighestItemId | ( | $ | Condition = `NULL`,
|  | $ | IncludeTempItems = `FALSE` |
| ) |  |  |

Definition at line 206 of file ItemFactory.php.

Referenced by MetadataSchema::GetHighestFieldId(), and GetNextItemId().

Here is the caller graph for this function:

ItemFactory::GetItem | ( | $ | ItemId | ) |

Definition at line 336 of file ItemFactory.php.

Referenced by GetItemByName().

Here is the caller graph for this function:

ItemFactory::GetItemByName | ( | $ | Name,
|  | $ | IgnoreCase = `FALSE` |
| ) |  |  |

Definition at line 342 of file ItemFactory.php.

References GetItem().

Referenced by AddItems().

Here is the caller graph for this function:

ItemFactory::GetItemCount | ( | $ | Condition = `NULL`,
|  | $ | IncludeTempItems = `FALSE` |
| ) |  |  |

Definition at line 250 of file ItemFactory.php.

ItemFactory::GetItemIds | ( | $ | Condition = `NULL`,
|  | $ | IncludeTempItems = `FALSE` |
| ) |  |  |

Definition at line 300 of file ItemFactory.php.

ItemFactory::GetItemIdsInOrder | ( | $ | AddStrayItemsToOrder = `TRUE` | ) |

Definition at line 566 of file ItemFactory.php.

ItemFactory::GetItemNames | ( |  | ) |

Definition at line 381 of file ItemFactory.php.

Referenced by PrivilegeFactory::GetPrivileges().

Here is the caller graph for this function:

ItemFactory::GetLastTempItemId | ( |  | ) |

Definition at line 170 of file ItemFactory.php.

Referenced by GetCurrentEditedItemId().

Here is the caller graph for this function:

ItemFactory::GetLatestModificationDate | ( | $ | Condition = `NULL` | ) |

Definition at line 326 of file ItemFactory.php.

ItemFactory::GetNextItemId | ( |  | ) |

Definition at line 186 of file ItemFactory.php.

References GetHighestItemId().

ItemFactory::GetNextItemIdInOrder | ( | $ | ItemId | ) |

Definition at line 616 of file ItemFactory.php.

ItemFactory::GetNextTempItemId | ( |  | ) |

Definition at line 231 of file ItemFactory.php.

ItemFactory::GetPreviousItemId | ( | $ | ItemId | ) |

Definition at line 609 of file ItemFactory.php.

ItemFactory::InsertAfter | ( | $ | SourceItemOrItemId,
|  | $ | TargetItemOrItemId |
| ) |  |  |

Definition at line 521 of file ItemFactory.php.

ItemFactory::InsertBefore | ( | $ | SourceItemOrItemId,
|  | $ | TargetItemOrItemId |
| ) |  |  |

Definition at line 506 of file ItemFactory.php.

ItemFactory::ItemFactory | ( | $ | ItemClassName,
|  | $ | ItemTableName,
|  | $ | ItemIdFieldName,
|  | $ | ItemNameFieldName = `NULL`,
|  | $ | FieldId = `NULL`,
|  | $ | OrderOpsAllowed = `FALSE` |
| ) |  |  |

Definition at line 35 of file ItemFactory.php.

References $FieldId, $ItemClassName, $ItemIdFieldName, $ItemNameFieldName, $ItemTableName, $OrderOpsAllowed, and SetOrderOpsCondition().

Referenced by SavedSearchFactory::__construct(), ClassificationFactory::ClassificationFactory(), ControlledNameFactory::ControlledNameFactory(), FileFactory::FileFactory(), MetadataSchema::MetadataSchema(), PrivilegeFactory::PrivilegeFactory(), and ResourceFactory::ResourceFactory().

Here is the caller graph for this function:

ItemFactory::Prepend | ( | $ | ItemOrItemId | ) |

Definition at line 536 of file ItemFactory.php.

ItemFactory::RemoveItemFromOrder | ( | $ | ItemId | ) |

Definition at line 581 of file ItemFactory.php.

ItemFactory::SearchForItemNames | ( | $ | SearchString,
|  | $ | NumberOfResults = `100`,
|  | $ | IncludeVariants = `FALSE`,
|  | $ | UseBooleanMode = `TRUE` |
| ) |  |  |

Definition at line 406 of file ItemFactory.php.

References $DB.

ItemFactory::SetCurrentEditedItemId | ( | $ | NewId | ) |

Definition at line 91 of file ItemFactory.php.

ItemFactory::SetNextItemId | ( | $ | ItemId,
|  | $ | NewValue |
| ) |  |  |

Definition at line 629 of file ItemFactory.php.

ItemFactory::SetOrderOpsCondition | ( | $ | Condition | ) |

Definition at line 497 of file ItemFactory.php.

Referenced by ItemFactory().

Here is the caller graph for this function:

ItemFactory::SetPreviousAndNextItemIds | ( | $ | ItemId,
|  | $ | NewPreviousId,
|  | $ | NewNextId |
| ) |  |  |

Definition at line 635 of file ItemFactory.php.

ItemFactory::SetPreviousItemId | ( | $ | ItemId,
|  | $ | NewValue |
| ) |  |  |

Definition at line 623 of file ItemFactory.php.

ItemFactory::Status | ( |  | ) |

Definition at line 64 of file ItemFactory.php.

Referenced by MetadataSchema::AddField(), and ResourceFactory::DuplicateResource().

Here is the caller graph for this function:

## Member Data Documentation

ItemFactory::$DB

Definition at line 602 of file ItemFactory.php.

Referenced by MetadataSchema::GetFieldNames(), ResourceFactory::GetMatchingResources(), and SearchForItemNames().

ItemFactory::$ErrorStatus

Definition at line 603 of file ItemFactory.php.

ItemFactory::$FieldId

Definition at line 604 of file ItemFactory.php.

Referenced by ClassificationFactory::ClassificationFactory(), ControlledNameFactory::ControlledNameFactory(), MetadataSchema::DropField(), FileFactory::FileFactory(), MetadataSchema::GetField(), MetadataSchema::GetFieldByName(), ResourceFactory::GetMatchingResources(), ItemFactory(), and MetadataSchema::MoveFieldInOrder().

ItemFactory::$ItemClassName

Definition at line 598 of file ItemFactory.php.

Referenced by ItemFactory().

ItemFactory::$ItemIdFieldName

Definition at line 600 of file ItemFactory.php.

Referenced by ItemFactory().

ItemFactory::$ItemNameFieldName

Definition at line 601 of file ItemFactory.php.

Referenced by ItemFactory().

ItemFactory::$ItemTableName

Definition at line 599 of file ItemFactory.php.

Referenced by ItemFactory().

ItemFactory::$OrderList

Definition at line 606 of file ItemFactory.php.

ItemFactory::$OrderOpsAllowed

Definition at line 605 of file ItemFactory.php.

Referenced by ItemFactory().

The documentation for this class was generated from the following file:

- ItemFactory.php